summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFerenc Erki <erkiferenc@gmail.com>2020-04-23 11:49:59 +0200
committerJoonas Niilola <juippis@gentoo.org>2020-04-26 16:36:45 +0300
commit0b7e6c1219ff4a23b1e9c177e69115f828157619 (patch)
tree2f82fc48edcf2f9dc8b68553030399d5dcdb8cf7
parentapp-admin/logstash-bin: bump version to 7.6.2 (diff)
downloadgentoo-0b7e6c1219ff4a23b1e9c177e69115f828157619.tar.gz
gentoo-0b7e6c1219ff4a23b1e9c177e69115f828157619.tar.bz2
gentoo-0b7e6c1219ff4a23b1e9c177e69115f828157619.zip
app-admin/logstash-bin: bump version to 6.8.8
Package-Manager: Portage-2.3.99, Repoman-2.3.22 Signed-off-by: Ferenc Erki <erkiferenc@gmail.com> Signed-off-by: Joonas Niilola <juippis@gentoo.org>
-rw-r--r--app-admin/logstash-bin/Manifest2
-rw-r--r--app-admin/logstash-bin/logstash-bin-6.8.8.ebuild73
2 files changed, 75 insertions, 0 deletions
diff --git a/app-admin/logstash-bin/Manifest b/app-admin/logstash-bin/Manifest
index 4261857a3ef..68844e2db29 100644
--- a/app-admin/logstash-bin/Manifest
+++ b/app-admin/logstash-bin/Manifest
@@ -1,5 +1,6 @@
DIST logstash-5.6.15.tar.gz 110086992 BLAKE2B 3047259c4bc5d71b072fa004c44953f84860ec53e051641c4efc903e38243e85b8fdebeaf093c01f5410c1f05a78a8d8aa2282fc45cf5fd784a41ea66ff5b196 SHA512 405039ff988aee8878cbeca96ef0fcbadba762f877eaec36c8a75b010e56a943c2951a8f83f9279d7d9fea99c4f8a200c705f784813a2733289336c58c34ca1e
DIST logstash-6.8.4.tar.gz 172186036 BLAKE2B b1219dab8dd1f88d01def54306ae09b3e9c1657adc7487e5c024f69e51ce24e66a9a713c8db357f84b19fda5ee3f824845858e34e8b75b8025f87b4d27b69b5d SHA512 6dc33099be2ee3670c00cb4162e3924a97e5548c1b978a50fe3d7ed0745c7f0a3422849c04e3d64f999ed9dcf8efee3fba05d9643fbb759c0e27643235667ee9
+DIST logstash-6.8.8.tar.gz 179965893 BLAKE2B a56db7b09c7fd59a5496e076ab11bf273265cff7eedfc9c9dfaa117a16baeb9b9c8e97a71eb8ff2a80f379b242d08c2d997476d7a48bab802ff3380d8914f13c SHA512 11c0b9be1d51c3feff82181234d0b5cd838edff78678bdc410f306c52d6345393e9d6c4d6095c2e3aa044f8c5af35d98fa2570891e81e9e3c57907c2baed6100
DIST logstash-7.2.0.tar.gz 171299740 BLAKE2B cfdbabc11d6e0d182ea7bdff1d30ca3a5bfbfe036f952c0d944c105f563dfa1b444c8dd1e9f023301abfbf9a86708d6bde2689b462b28f00a34d09f78fe3898c SHA512 955358d504b6626ba9ac88a2d65b161044180c3085f8dbaedfb8b85b092ecc65721bbda73b750f7d8b78a052828a54f7ed7ad16ee7ec72f3ed5e428ba291a173
DIST logstash-7.3.2.tar.gz 171783584 BLAKE2B 0a936edaa57ae5552b79bead754b75c8a8c7a920461b720c58dc8e32c2aae342f3639955b63264e8704093c0d30d5d801f468d1b391e9efb2c5d605dcb2ebf5e SHA512 311b849cb8e1f336908aefa1cb2f0e2d76b696410346dd3fa0560313f9cbd3f098c93aee68c9fead736a3edb39ca543161eb7de115597e034eb0a015904c7417
DIST logstash-7.4.1.tar.gz 173284835 BLAKE2B d1d3fe199175d57e4b47fe50f26d6d54486182d6e69b6e50cccceecf1cf02484c6d9f1a8cd0ef72ea82b1da9550787cb5ac37bbf93a91b4d0518dde415479a1a SHA512 c89d530f16e5c6953d97708b6ff2f46bbb518a93652f11cad988841a73bf5862beb4a5326de1e63d0ffb65a498fc33235ab4fc950e8087aed5815b3a65e81ef6
@@ -7,6 +8,7 @@ DIST logstash-7.5.2.tar.gz 166254387 BLAKE2B b93cc90ecb8e88cb3dd9970b4e67d950322
DIST logstash-7.6.1.tar.gz 172679481 BLAKE2B 2385c5d11dde1f49d3872cfc175166f78a170c1c041117548a00e73876d6f26fa06d955d7c62f6b1102278fd0f46a9119e28b7e244d7f9331b79d44df9d333a1 SHA512 38fe03fbbc3e158925f16420f809e43040817ea2b81defe9a2d6afa821bf293b86764b3327c66e17cc06034af39b13cbfad024e9fec9a73f77fe1a9edb856658
DIST logstash-7.6.2.tar.gz 172679447 BLAKE2B afeaab06178669559ff532cf72575f8063d07f95f2401060d33e0a99c87bb9e0c251e45634b9723efe456892ac19586accc89cf7272163e48eeaef438632b777 SHA512 c86dcf36cd0d578467c7013234040d5ea100f08ef69a185f6aa86c87dfa46936282abf10d0f495ffe649274136b735d17ab513ef3401205140c2d98bd9f91238
DIST logstash-oss-6.8.4.tar.gz 172055711 BLAKE2B 696769dbb94ed9a6c9a84fb54ba35fedff360bff39c61ba7ef6a9a5f00e59dbc3c8d15f6b9080e39ce87f17553f04b831f029e8f779c75f0f28b673a2aa2e697 SHA512 6f7fe35f6e84417332093d089dc737f89737f30718d5ce843dfe6d3ba85d098e2a01da6c191729b68a7a326d4d65f6bcbdfeb656d5120401478dacb96b1f0671
+DIST logstash-oss-6.8.8.tar.gz 179836007 BLAKE2B e278d8dd34341bceb506accb3424b4af6db0795b582e1370d60f4a4b68671372449c94ae28f4a7585b8d4f4e63dcf7d6fa80eed37fd4ef8e872414ae2cd15b80 SHA512 ceba8d798c1246c9fd3385bc4b64995fcf9083dc5149211fabc09bfa3208d56bba6d8ae4ab73da5f9968633f30c547e0132f76543e2f9a2a96675ee58df74b09
DIST logstash-oss-7.2.0.tar.gz 171128040 BLAKE2B f0f3d4f0d5228918d8435c521d10ff5070e23561c25ce28e8d58997d499a7c7697354c1fb1cb70bf2bd832ad50c04afb00cbde4b3053f9f24d2619f3fbfffbdf SHA512 24120740bc727b6da50b865bb85bf61f013a38b6679d679ecc75a73c69766a5133fd47ad99fa0220d5dc6cceb506fbde206787adcee31483288c68c228edd1fd
DIST logstash-oss-7.3.2.tar.gz 171613705 BLAKE2B e1a0c512cadd5855e1a1524e1c44214aeb792361493406c5cacde1bd72243178d03113c08a1fe0d1c2212cec5a2947074911bf19eaaedc636db754081c3fe32c SHA512 3aac74966b27d0d551f49c78c457b18a1a76d0e5a7b2fa1dc9a7776927145b28a6c02f51e4dd7e9ca49dabe5f63effd4227fc6980e522ab7da4ef847da6bda12
DIST logstash-oss-7.4.1.tar.gz 173114578 BLAKE2B 5530e3275be095168d845381ac2ef92c3fa2e3783b7d9749d88465239751bc74d0483a51fd61ac75f46a569201c5fd34bd1553db32ca84e911dbf34ddd5e6b14 SHA512 26defcb5777c044030081e98cc47a040c72c7a8261f8f2cb9349181ec6a375b4969e1fbd00c8046da2c3fae5a6dea45e53c41d1c84325cd75af766f6a1d4b3c3
diff --git a/app-admin/logstash-bin/logstash-bin-6.8.8.ebuild b/app-admin/logstash-bin/logstash-bin-6.8.8.ebuild
new file mode 100644
index 00000000000..08167fb0287
--- /dev/null
+++ b/app-admin/logstash-bin/logstash-bin-6.8.8.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit java-pkg-2
+
+MY_PN="${PN%-bin}"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Tool for managing events and logs"
+HOMEPAGE="https://www.elastic.co/products/logstash"
+SRC_URI="x-pack? ( https://artifacts.elastic.co/downloads/${MY_PN}/${MY_P}.tar.gz )
+ !x-pack? ( https://artifacts.elastic.co/downloads/${MY_PN}/${MY_PN}-oss-${PV}.tar.gz )"
+
+# source: LICENSE.txt and NOTICE.txt
+LICENSE="Apache-2.0 MIT x-pack? ( Elastic )"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="x-pack"
+
+RESTRICT="strip"
+QA_PREBUILT="opt/logstash/vendor/jruby/lib/jni/*/libjffi*.so"
+
+RDEPEND="acct-group/logstash
+ acct-user/logstash
+ virtual/jre:1.8"
+
+S="${WORKDIR}/${MY_P}"
+
+src_install() {
+ keepdir /etc/"${MY_PN}"/{conf.d,patterns,plugins}
+ keepdir "/var/log/${MY_PN}"
+
+ insinto "/usr/share/${MY_PN}"
+ newins "${FILESDIR}/agent.conf.sample" agent.conf
+
+ rm -v config/{pipelines.yml,startup.options} || die
+ insinto /etc/${MY_PN}
+ doins -r config/.
+ doins "${FILESDIR}/pipelines.yml"
+ rm -rv config data || die
+
+ insinto "/opt/${MY_PN}"
+ doins -r .
+ fperms 0755 "/opt/${MY_PN}/bin/${MY_PN}" "/opt/${MY_PN}/vendor/jruby/bin/jruby" "/opt/${MY_PN}/bin/logstash-plugin"
+
+ newconfd "${FILESDIR}/${MY_PN}.confd-r2" "${MY_PN}"
+ newinitd "${FILESDIR}/${MY_PN}.initd-r2" "${MY_PN}"
+
+ insinto /usr/share/eselect/modules
+ doins "${FILESDIR}"/logstash-plugin.eselect
+}
+
+pkg_postinst() {
+ ewarn "Self installed plugins are removed during Logstash upgrades (Bug #622602)"
+ ewarn "Install the plugins via eselect module that will automatically re-install"
+ ewarn "all self installed plugins after Logstash upgrades."
+ elog
+ elog "Installing plugins:"
+ elog "eselect logstash-plugin install logstash-output-gelf"
+ elog
+
+ elog "Reinstalling self installed plugins (installed via eselect module):"
+ eselect logstash-plugin reinstall
+
+ elog
+ elog "Sample configuration:"
+ elog "${EROOT}/usr/share/${MY_PN}"
+ elog
+ elog "The default pipeline configuration expects the configuration(s) to be found in:"
+ elog "${EROOT}/etc/logstash/conf.d/*.conf"
+}